package com.community.huiju.dao;

import com.community.huiju.model.TpBillInvoice;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface TpBillInvoiceMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TpBillInvoice record);

    int insertSelective(TpBillInvoice record);

    TpBillInvoice selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TpBillInvoice record);

    int updateByPrimaryKey(TpBillInvoice record);
    
    /**
     * 分页获取缴费和未缴费的数据
     * @param communityId
     * @param userId
     * @param payType
     * @return
     */
    List<Map<String, Object>> getBillsList(@Param("communityId") Integer communityId,@Param("userId") Integer userId,@Param("payType") Integer payType);
    
    /**
     * 获取账单的详细信息
     * @param billInvoiceId
     * @return
     */
    Map<String, Object> getBillInvoiceDetail(@Param("communityId") Integer communityId,@Param("billInvoiceId") Integer billInvoiceId);
}