package com.community.huiju.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class TaFace {

    private Integer id;

    /**
     * 小区ID
     */
    private Integer communityId;

    /**
     * 用户ID
     */
    private Integer taUserId;

    /**
     *图片
     */
    private  String faceImg;

    /**
     * 创建人
     */
    private  Integer createUser;

    /**
     * 更新人
     */
    private  Integer updateUser;

    /**
     * 创建时间
     */
    private  Date createDate;

    /**
     * 更新时间
     */
    private  Date updateDate;
}