package com.community.huiju.service;


import com.community.commom.mode.ResponseBean;
import org.springframework.web.multipart.MultipartFile;

public interface FaceServiceI {
    /**
     * 添加人脸
     * @param userId 登入人ID
     *  @param  uploadFile
     *  @param otherUserId 关联家属或者租客ID
     * @return
     */
    ResponseBean addFace(Integer userId ,MultipartFile uploadFile,Integer otherUserId);

    /**
     * 更新当前人脸
     * @param userId 登入人ID
     *  @param  uploadFile
     *  @param otherUserId 关联家属或者租客ID
     * @return
     */
    ResponseBean upDateFace(Integer userId ,MultipartFile uploadFile,Integer otherUserId);

    /**
     * 当前登入人是否有人脸信息
     * @param userId
     * @return
     */
    ResponseBean getTaFaceByUserId(Integer userId,Integer otherUserId);
}
