package com.community.huiju.service;

import com.community.commom.mode.ResponseBean;

/**
 * 监控 业务接口
 * @author weiximei
 */
public interface IMonitoringService {

    /**
     * 根据小区ID查询 监控列表
     * @param communityId
     * @param pageNo
     * @param pageSize
     * @return
     */
    ResponseBean getByCommunityId(Integer communityId,Integer pageNo, Integer pageSize);

    /**
     * 生成 Token
     * @param communityId
     * @param pageNo
     * @param pageSize
     * @return
     */
    ResponseBean getMonitoringToken(Integer communityId, Integer pageNo, Integer pageSize);

}
