package com.community.huiju.service;

import java.util.Map;

public interface MessageServiceI {
	/**
	 * 获取消息数量
	 * @param communityId
	 * @return
	 */
	Map<String, Object> getMessageTotal(Integer communityId, Integer userId);
	
	/**
	 * 分页获取消息或待办
	 * @param communityId
	 * @param pageNum
	 * @param pageSize
	 * @param modelType
	 * @return
	 */
	Map<String,Object> getMessages(Integer communityId, Integer pageNum, Integer pageSize,Integer modelType, Integer userId);

	/**
	 * 全部已读
	 */
	void updateMessageReadStatus(Integer communityId, Integer userId);
}
