package com.community.commom.constant;

/**
 * 定义公共属性
 * @author weiximei
 */
public class Constant {

    /** 系统异常 500 **/
    public static final String REQUEST_ERROR = "500";

    /** APP端session **/
    public static final String APP_USER_SESSION = "appUser";

    /** WEB端session **/
    public static final String WEB_USER_SESSION = "webUser";

    /** 不需要权限的URL身份 **/
    public static final String ROLE_NONEUSER = "ROLE_NONEUSER";

    /** 校验出现问题后的默认身份 **/
    public static final String ROLE_NONE = "ROLE_NONE";

    /** app登陆类型 **/
    public static final String APP_LOGIN_TYPE = "app";

    /** web登陆类型 **/
    public static final String WEB_LOGIN_TYPE = "web";

    /** 手机验证码 **/
    public static final String SESSION_PHONE_CODE = "phone_code";

    /** 图形验证码 **/
    public static final String SESSION_OMG_CODE = "img_code";

    /** 手机验证码 模板 **/
    public static final String CODE = "0201";

    /** 请求发送验证码的远程服务器地址 **/
    public static final String REQUEST_URL = "http://micservice.ycjcjy.com/sms";

    /** 本地缓存过期时间 单位秒 **/
    public static final Long CACHE_EXPIRE = 120L;

    /** 本地緩存最大个数 **/
    public static final Long CACHE_SIZE = 1000L;

    /** 住户APP端消息 **/
    public static final Integer MODEL_TYPE_NEWS = 1;
    
    /** 住户APP端待办 **/
    public static final Integer MODEL_TYPE_UPCOMING = 2;

    /** 社交/图片 公告类型**/
    public static final String ANNOUNCEMENT = "announcement";

    /** 社交/图片 活动类型**/
    public static final String ACTIVITY = "activity";

    /** 社交/图片 租贷类型**/
    public static final String TRANSACTION = "transaction";

    /** 社交二手租赁类型**/
    public static final String LEASE = "lease";

    /** banner类型公告**/
    public static final String BANNER = "banner";

    /**有效状态，开车**/
    public static final String EFFECTIVE = "1";

    /**无效状态，不开车**/
    public static final String INVALID = "0";

    /**业主角色**/
    public static final String OWNER = "OWNER";

    /**租客角色**/
    public static final String TENANT = "TENANT";

    /**家属角色**/
    public static final String RELATION = "RELATION";
    
    /** 工单回复的发起人 **/
    public static final String TICKET_USER_TYPE = "1";

    /** banner的类型 外链接 **/
    public static final String BANNER_TYPE_LINK = "1";

    /** banner的类型 文章 **/
    public static final String BANNER_TYPE_ARTICLE = "2";

    /**图片社交类型**/
    public static final String SOCIAL = "social";

    /**图片服务类型**/
    public static final String SERVICE = "service";

    /**判断业主，家属的身份是否已停用的提示**/
    public static final String STATE_DISCONTINUED = "您的身份已停用，请联系物业";

    /**判断业主，家属的身份是否已停用的状态**/
    public static final String STATE_HINT = "9996";

    /**认证通过后的**/


    /** 添加用户所对应的部门 住户 **/
    public static final String DEPT_RESIDENTS = "测试";
    
    /**
     * 报名状态 已报名
     */
    public static final String STATUS_SIGNED = "signed";
    
    /**
     * 报名状态 未报名
     */
    public static final String STATUS_UNSIGN = "unsigned";
    
    /**
     * 运营端修改管理员已存在
     */
	public static final String ADMIN_IS_EXIST = "管理员账号已存在";
	
    public static final String SUCCESS = "success";
    
	public static final Integer Beijing = 2;
	
	public static final Integer Tianjin = 19;
	
	public static final Integer Shanghai = 857;
	
	public static final Integer Chongqing = 2459;
}
