package com.community.huiju.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotBlank;
import java.util.Date;

/**
 * @author weiximei
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ToBannerVO {

    /** 编号 **/
    private Integer id;

    /** 标题 **/
    private String title;

    /** 社区编号 **/
    private Integer communityId;

    /** 社区名称 **/
    private String communityName;

    /** 权重 **/
    private Integer sort;

    /** banner 位 **/
    private Integer bannerPosition;

    /** banner 位 的名称 **/
    private String bannerPositionName;

    /** 生效时间 **/
    private Date effTime;

    /** 失效时间 **/
    private Date expTime;

    /** banner 类型 **/
    private String bannerType;

    /** 修改时间 **/
    private Date updateDate;

    /** 修改人 **/
    private String updateUserName;

}
