package com.community.huiju.constant;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * 系统参数
 * @author weixmei
 */
@Data
@Component
public class SecurityParametes {

    @Value("#{'${security.noneSercurityPath}'.split(',')}")
    private List<String> noneSercurityPath;

    @Value("#{'${security.appSercurityPath}'.split(',')}")
    private List<String> appSercurityPath;

}
