package com.community.huiju.controller;

import com.community.huiju.model.ToCommunities;
import com.community.huiju.service.CommunityServiceI;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * 公共 controller
 */
public class BaseController {

    @Autowired
    private CommunityServiceI community;

    /**
     * 校验小区是否存在
     * @return
     */
    protected boolean check(Integer communityId){
        ToCommunities toCommunities = community.getByCommunityId(communityId);
        if (null != toCommunities) {
            return true;
        }
        return false;
    }

}
