package com.community.huiju.service.impl;

import com.community.huiju.dao.ToCommunitiesMapper;
import com.community.huiju.model.ToCommunities;
import com.community.huiju.service.CommunityServiceI;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author FXF
 * @date 2018-10-22
 */
@Service("communityService")
public class CommunityServiceImpl implements CommunityServiceI {
	
	@Autowired
	private ToCommunitiesMapper toCommunitiesMapper;
	
	@Override
	public List<ToCommunities> getCommunitys(String communityName) {
		return toCommunitiesMapper.selectByCommunityName(communityName);
	}

	@Override
	public ToCommunities getByCommunityId(Integer communityId) {
		return toCommunitiesMapper.selectByPrimaryKey(communityId);
	}
}
