package com.community.huiju.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * 工单不包含所有的 答复 记录
 * 只包含最新的 答复和答复时间
 * @author weiximei
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class TpTicketInfoVO extends TpTicketVO {


    /** 工单内容 **/
    private String ticketContent;

    /** 流转状态 **/
    private String status;

    /** 报修类型 0:公共区域  1: 房屋质量  2::户内设施   **/
    private String repairType;

    /** 评分 **/
    private String score;

    /** 评语 **/
    private String comment;


}
