package com.community.commom.session;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * session 基础类
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class UserElement implements Serializable {




    /** 用户唯一标识符 **/
    private Integer id;

    /** 用户名 **/
    private String userName;

    /** 登陆名 **/
    private String loginName;

    /** 邮箱 **/
    private String email;

    /** 用户状态 **/
    private String status;

    /** 登陆类型 **/
    private String loginType;


}
