package com.community.huiju.service;

import com.community.huiju.dto.RoleDTO;

import java.util.List;

public interface IRoleService {

    /**
     * 根据用户ID获取web端用户角色
     * @param userId
     * @return
     */
    List<RoleDTO> getWebUserRoleByUserId(Integer userId);

    /**
     * 根据用户ID获取app端用户角色
     * @param userId
     * @return
     */
    List<RoleDTO> getAppUserRoleByUserId(Integer userId);
}
